Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 790879 - Review Request: starpy - Python twisted library for Asterisk's AMI and FastAGI
Summary: Review Request: starpy - Python twisted library for Asterisk's AMI and FastAGI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-02-15 16:05 UTC by Russell Bryant
Modified: 2013-04-29 19:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-29 19:20:15 UTC


Attachments (Terms of Use)

Description Russell Bryant 2012-02-15 16:05:00 UTC
Spec URL: http://fedorapeople.org/~russellb/starpy/starpy.spec

SRPM URL: http://fedorapeople.org/~russellb/starpy/starpy-1.0.1-1.fc16.src.rpm

Description:
StarPy is a Python + Twisted protocol that provides access to the Asterisk
PBX's Manager Interface (AMI) and Fast Asterisk Gateway Interface (FastAGI).
Together these allow you write both command-and-control interfaces (used, for
example to generate new calls) and to customize user interactions from the
dial-plan.  You can readily write applications that use the AMI and FastAGI
protocol together with any of the already-available Twisted protocols.

StarPy is primarily intended to allow Twisted developers to add Asterisk
connectivity to their Twisted applications.  It isn't really targeted at the
normal AGI-writing populace, as it requires understanding Twisted's
asynchronous programming model.  That said, if you do know Twisted, it can
readily be used to write stand-alone FastAGIs.

Comment 1 Fabian Affolter 2012-05-13 16:45:11 UTC
Just some comments:

- All doc files (Changelog, CHANGES.txt) should go to %doc
- Adding the examples as a subpackages could help the users
- I think that adding the doc/index.html would be a good idea too. This file contains plenty of stuff which is normally in the README

Comment 2 Fabian Affolter 2012-09-16 07:35:03 UTC
Russell, do you plan to go on with this review request?

Comment 3 Fabian Affolter 2012-11-18 10:39:13 UTC
I assume this review is dead.


Note You need to log in before you can comment on or make changes to this bug.